# Контейнеризация react приложения Купол.Управление  

## Структура папок для запуска  
```
.
├── Dockerfile
├── nginx
│   └── nginx.conf
├── reactapp
│   ├── ...
```    

где:  
- `.` - build контекст приложения;  
- Папка `nginx` - конфиг для контейнера с nginx;  
- Папка `reactapp` - папка, куда клонируется реакт проект Купол.Управление.  

## Команды для сборки и запуска приложения  

Для сборки используется команда:  

```
docker build -t pro100ton:kupol-front-prod .
```

Для запуска используется команда:  
```
docker run -it --rm -p 1337:80 pro100ton:kupol-front-prod
```

